
TYPO3.Fluid - Bug # 10401

Status: Resolved Priority: Should have
Author: Christine Gerpheide Category: ViewHelpers
Created: 2010-10-22 Assigned To: Bastian Waidelich
Updated: 2011-08-04 Due date:
Has patch: No
Affected Flow version:
Subject: f:link.external viewHelper should prepend http:// when needed
Description

The link.external viewhelper should add http:// if there is no other protocol present in the URI provided.

Currently, if you add a link like:
<f:link.external uri="www.google.com">...</f:link.external>

It will render as:
<a href="http://mytypo3site.com/www.google.com">...</a>

Which is obviously not correct as this is an external link.  For such links, http:// should be prepended to the URL when using this
viewHelper.

Related issues:
related to TYPO3.Fluid - Bug # 12777: Empty a tag ends with /> instead of </a> Resolved 2011-02-04

History
#1 - 2010-10-22 21:08 - Bastian Waidelich
- Project changed from Extbase MVC Framework to TYPO3.Fluid
- Status changed from New to Accepted
- Assigned To set to Bastian Waidelich

#2 - 2010-10-22 21:09 - Bastian Waidelich
- Tracker changed from Bug to Feature
- Category set to ViewHelpers
- Branch set to v4 + v5

#3 - 2011-05-06 10:34 - Sebastian Kurfuerst
- Target version set to 1.0 beta 1

#4 - 2011-05-06 11:14 - Sebastian Kurfuerst
- Parent task set to #26665
- Has patch set to No

#5 - 2011-05-06 11:18 - Sebastian Kurfuerst
- Tracker changed from Task to Bug
- Parent task deleted (#26665)

#6 - 2011-08-04 08:12 - Sebastian Kurfuerst
- Status changed from Accepted to Resolved
- % Done changed from 0 to 100
already done.

2015-08-03 2/2


